Skip to main content
POST
Create a new User account

Authorizations

x-fngs-public-key
string
header
required
x-fngs-secret-key
string
header
required

Body

application/json

POST /v0/users/create Request body

email
string<email>
required

Email of the user.

Example:

"test@example.com"

password
string | null

User password used for logging in to the Store application. Password must contain at least one special character, one number and one uppercase letter. Password must be between 8 and 72 characters long.

Required string length: 8 - 72
Pattern: [!"#$%&'()*+,-./:;<=>?@[\\\]^_`{|}~0-9]
Example:

"Password123!"

username
string | null

Username of the User.

Minimum string length: 1
Example:

"test-user"

internalId
string | null

A custom identifier for external system integration. This ID: - Can be used to link users with external systems - Will be included in all webhook notifications - Is optional but recommended for system integration

Minimum string length: 1
Example:

"abcd-1234-5678-90ab-cdef-1234-5678-90ab"

billingDetails
object

Billing information used for payments and invoices. Following fields are required for the payments: - countryCode: ISO 3166-1 alpha-2 country code (e.g., "US", "GB") - postalCode: Required for specific countries (US, CA, UA, IN)

Example:
paymentData
object

Pre-existing payment provider (Stripe/Paypal) customer IDs. Only provide this if: - You're migrating users from another system - You want to link existing Stripe/PayPal customers - You need to preserve payment history in provider's system

Example:

Response

POST /v0/users/create Positive response

status
string
required
Allowed value: "success"
data
object
required